%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name XStatic-Bootstrap-SCSS

Name:           python-%{pypi_name}
Version:        3.3.7.1
Release:        2%{?dist}
Summary:        Bootstrap-SCSS (XStatic packaging standard)

License:        MIT
URL:            http://getbootstrap.org/
Source0:        https://files.pythonhosted.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        halflings-license.eml
BuildArch:      noarch

%description
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

%package -n python2-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       python2-XStatic
Requires:       xstatic-bootstrap-scss-common

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 2 build of %{pypi_name}.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-XStatic
Requires:       xstatic-bootstrap-scss-common

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 3 build of %{pypi_name}.
%endif

%package -n xstatic-bootstrap-scss-common
Summary:        %{summary}

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

%description -n xstatic-bootstrap-scss-common
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package contains the javascript files.

%prep
%autosetup -n %{pypi_name}-%{version}
# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/bootstrap_scss'|" xstatic/pkg/bootstrap_scss/__init__.py

# Include email identifying the license for the Glyphicons Halflings font
cp %{SOURCE1} .

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
mkdir -p %{buildroot}%{_jsdir}/bootstrap_scss
mv %{buildroot}%{python2_sitelib}/xstatic/pkg/bootstrap_scss/data/* %{buildroot}%{_jsdir}/bootstrap_scss
rmdir %{buildroot}%{python2_sitelib}/xstatic/pkg/bootstrap_scss/data/
# fix execute flags for js
chmod 644 %{buildroot}%{_jsdir}/bootstrap_scss/js/*.js
chmod 644 %{buildroot}%{_jsdir}/bootstrap_scss/js/bootstrap/*.js

%if 0%{?with_python3}
%py3_install
# Remove static files, already created by the python2 subpkg
rm -rf %{buildroot}%{python3_sitelib}/xstatic/pkg/bootstrap_scss/data
%endif

%files -n python2-%{pypi_name}
%doc README.txt
%{python2_sitelib}/xstatic/pkg/bootstrap_scss
%{python2_sitelib}/XStatic_Bootstrap_SCSS-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/XStatic_Bootstrap_SCSS-%{version}-py%{python2_version}-nspkg.pth

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.txt
%{python3_sitelib}/xstatic/pkg/bootstrap_scss
%{python3_sitelib}/XStatic_Bootstrap_SCSS-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/XStatic_Bootstrap_SCSS-%{version}-py%{python3_version}-nspkg.pth
%endif

%files -n xstatic-bootstrap-scss-common
%doc README.txt
%license halflings-license.eml
%{_jsdir}/bootstrap_scss

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb  6 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 3.3.7.1-1
- Upstream 3.3.7.1

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 3.2.0.0-7
- Rebuild for Python 3.6

* Thu Nov 17 2016 Stephen Gallagher <sgallagh@redhat.com> - 3.2.0.0-6
- Include license reference for bundled Glyphicons Halfling font

* Wed Oct 12 2016 Jan Beran <jberan@redhat.com> - 3.2.0.0-5
- Provides a Python 3 subpackage

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 02 2014 Matthias Runge <mrunge@redhat.com> - 3.2.0.0-1
- Initial package (rhbz#1148956).

